Mod Résolu Problèmes avec plusieurs mods sur mon serveur 1.7.10

Misterioux_YT

平和を望む者は戦争に備える
29 Juillet 2019
55
1
28
20
France
Bonjour tout le monde,
Je vais tenter d'être le plus clair possible. Depuis le début des vacances, je me suis lancé dans le projet de créer un serveur minecraft 1.7.10 sous cauldronbukkit. Et j'ai réussi. Mais je me suis retrouvé avec un gros problème pour le gameplay d'un des mondes. Celui-ci est un modern RP qui comptent une dizaine de mods importants dont quatre qui ne fonctionnent pas. Les voici:
  • DrZharks MoCreatures
  • CustomMobSpawner
  • FiskHeroes
  • LegendCore
J'aimerais savoir sil existe une solution afin de faire fonctionner les mods. Ou au moins une alternative à MoCreatures.
Je vous remercie d'avance de vos réponses.
Cordialement, Misterioux_YT
 

Aziourty

- Gérant de LifeRpCraft -
5 Novembre 2017
323
8
80
Belgique
discord.gg
Bonjour,

Pouvez-vous décrire ce qu'il se passe exactement. Est-ce que le serveur crash ? votre client crash ? il y a des messages ?
Et pouvez-vous envoyer les logs ? ;)
 

Misterioux_YT

平和を望む者は戦争に備える
29 Juillet 2019
55
1
28
20
France
Bonjour,

Pouvez-vous décrire ce qu'il se passe exactement. Est-ce que le serveur crash ? votre client crash ? il y a des messages ?
Et pouvez-vous envoyer les logs ? ;)
Le serveur semble crasher sans faire de crash report. De plus le mod Adventure Backpack s'ajoute dans la liste. Voici les logs
 

Fichiers joints

  • 2019-07-30-7.log
    14.7 KB · Affichages: 88

K0bus

Développeur
22 Septembre 2012
362
15
125
9
Caen
Bonjour,

Au vue de tes logs tu devrais bien avoir un Crash Report :
Code:
[18:55:07] [Server thread/ERROR]: This crash report has been saved to: E:\ShiginimaSE_v3100\Serveur 1.7.10\.\crash-reports\crash-2019-07-30_18.55.07-server.txt

Sinon on peu déjà voir sa :

Code:
[18:55:07] [Server thread/WARN]: Zip file railcraft-12.0.0.jar failed to read properly, it will be ignored

Cauldron n'ayant reçus que peu de mise à jour, de mon côté je préfère me baser sur Thermos qui est une bonne alternative :

https://yivesmirror.com/downloads/thermos

Dans les autres erreurs que tu trouve sur tes logs tu à les suivantes :

Code:
[18:55:07] [Server thread/WARN]: Zip file railcraft-12.0.0.jar failed to read properly, it will be ignored

Pour RailCraft en 1.7.10 pense a prendre une version correspondante, la 12.0 n'étant pas faites pour la 1.7.10, la dernière version disponible étant la 9.2.

En réglant ces quelques soucis tu devrais commencer à avoir quelque chose d'un peu plus propre. N'oublie pas lors de la création d'un modpack il faut bien vérifier chaque version de chaque mod ainsi que leurs compatibilité entre eux mais aussi la version de forge sur laquel ils sont compatible.

En esperant avoir régler la pluspart de tes problèmes.
 

Misterioux_YT

平和を望む者は戦争に備える
29 Juillet 2019
55
1
28
20
France
Bonjour,

Au vue de tes logs tu devrais bien avoir un Crash Report :
Code:
[18:55:07] [Server thread/ERROR]: This crash report has been saved to: E:\ShiginimaSE_v3100\Serveur 1.7.10\.\crash-reports\crash-2019-07-30_18.55.07-server.txt

Sinon on peu déjà voir sa :

Code:
[18:55:07] [Server thread/WARN]: Zip file railcraft-12.0.0.jar failed to read properly, it will be ignored

Cauldron n'ayant reçus que peu de mise à jour, de mon côté je préfère me baser sur Thermos qui est une bonne alternative :

https://yivesmirror.com/downloads/thermos

Dans les autres erreurs que tu trouve sur tes logs tu à les suivantes :

Code:
[18:55:07] [Server thread/WARN]: Zip file railcraft-12.0.0.jar failed to read properly, it will be ignored

Pour RailCraft en 1.7.10 pense a prendre une version correspondante, la 12.0 n'étant pas faites pour la 1.7.10, la dernière version disponible étant la 9.2.

En réglant ces quelques soucis tu devrais commencer à avoir quelque chose d'un peu plus propre. N'oublie pas lors de la création d'un modpack il faut bien vérifier chaque version de chaque mod ainsi que leurs compatibilité entre eux mais aussi la version de forge sur laquel ils sont compatible.

En esperant avoir régler la pluspart de tes problèmes.
Merci pour ta réponse. Tout d'abord, il semble ne pas avoir de crash report (j'ai vérifié plusieurs fois sans succès).
Ensuite, je ne sais pas utiliser Thermos donc pourrais-tu me donner des conseils.
Et enfin, comment puis-je savoir quels mods sont incompatible entre eux et la version requise pour Forge ?
Cordialement, Misterioux
 

Misterioux_YT

平和を望む者は戦争に備える
29 Juillet 2019
55
1
28
20
France
Alors tout fonctionne au premier abord. Mais cette fois, c'est le côté client qui plante tout seul. Voici les logs ainsi que le crash report.
 

Fichiers joints

  • 2019-07-31-3.log
    19.1 KB · Affichages: 85
  • crash-2019-07-31_20.16.55-client.txt
    10.5 KB · Affichages: 84

K0bus

Développeur
22 Septembre 2012
362
15
125
9
Caen
Bonjour,

Pour ton problème de crash client je croit voir que tu utilise Optifine. Il faut savoir qu'énormement de mod ne sont pas compatible avec Optifine, je te laisse tenter sans.

Pour Thermos il marche tous comme Cauldron au besoin ;) Tu le lance et il charge plugins et mod.
 

Misterioux_YT

平和を望む者は戦争に備える
29 Juillet 2019
55
1
28
20
France
Bonjour,

Pour ton problème de crash client je croit voir que tu utilise Optifine. Il faut savoir qu'énormement de mod ne sont pas compatible avec Optifine, je te laisse tenter sans.

Pour Thermos il marche tous comme Cauldron au besoin ;) Tu le lance et il charge plugins et mod.
Merci à toi. Je vais tenté sans OptiFine mais d'après ShE3py il s'agit d'une armor stand de Better-storage qui fait planté tout donc je vais tester les plusieurs solutions qui me sont proposées ensuite je vous informerai.
 

Misterioux_YT

平和を望む者は戦争に備える
29 Juillet 2019
55
1
28
20
France
Merci à toi. Je vais tenté sans OptiFine mais d'après ShE3py il s'agit d'une armor stand de Better-storage qui fait planté tout donc je vais tester les plusieurs solutions qui me sont proposées ensuite je vous informerai.
J'ai abandonné l'idée de faire un serveur Thermos en 1.7.10, j'ai passé tout en 1.12.2 sous Spongeforge. Problème résolu !